- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintillaLexerSQL Class Reference

The QextScintillaLexerSQL class encapsulates the Scintilla SQL lexer. More...

`#include <qextscintillalexersql.h>`

Inherits QextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Comment = 1
- CommentLine = 2
- LineComment = CommentLine
- CommentDoc = 3
- Number = 4
- Keyword = 5
- DoubleQuotedString = 6
- SingleQuotedString = 7
- PlusKeyword = 8
- PlusPrompt = 9
- Operator = 10
- Identifier = 11
- PlusComment = 13
- CommentLineHash = 15
- CommentDocKeyword = 17
- CommentDocKeywordError = 18
- KeywordSet5 = 19
- KeywordSet6 = 20
- KeywordSet7 = 21
- KeywordSet8 = 22
- enum {
  Default = 0, Comment = 1, CommentLine = 2,
  LineComment = CommentLine, CommentDoc = 3, Number = 4,
  Keyword = 5, DoubleQuotedString = 6, SingleQuotedString = 7,
  PlusKeyword = 8, PlusPrompt = 9, Operator = 10,
  Identifier = 11, PlusComment = 13, CommentLineHash = 15,
  CommentDocKeyword = 17, CommentDocKeywordError = 18, KeywordSet5 = 19,
  KeywordSet6 = 20, KeywordSet7 = 21, KeywordSet8 = 22
  }

## Public Slots

- virtual void setFoldComments (bool fold)
- virtual void setFoldCompact (bool fold)
- virtual void setBackslashEscapes (bool enable)

## Public Member Functions

- QextScintillaLexerSQL (TQObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerSQL ()
- const char * language () const
- const char * lexer () const
- int braceStyle () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- const char * keywords (int set) const
- TQString description (int style) const
- TQColor paper (int style) const
- void refreshProperties ()
- bool foldComments () const
- bool foldCompact () const
- bool backslashEscapes () const

## Protected Member Functions

- bool readProperties (TQSettings &qs, const TQString &prefix)
- bool writeProperties (TQSettings &qs, const TQString &prefix) const

## Detailed Description

The QextScintillaLexerSQL class encapsulates the Scintilla SQL lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the SQL lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  CommentLine | A line comment.
  LineComment | Deprecated: A line comment.
  CommentDoc | A JavaDoc/Doxygen style comment.
  Number | A number.
  Keyword | A keyword.
  DoubleQuotedString | A double-quoted string.
  SingleQuotedString | A single-quoted string.
  PlusKeyword | An SQL*Plus keyword.
  PlusPrompt | An SQL*Plus prompt.
  Operator | An operator.
  Identifier | An identifier.
  PlusComment | An SQL*Plus comment.
  CommentLineHash | A '#' line comment.
  CommentDocKeyword | A JavaDoc/Doxygen keyword.
  CommentDocKeywordError | A JavaDoc/Doxygen keyword error.
  KeywordSet5 | A keyword defined in keyword set number 5. The class must be sub-classed and re-implement keywords() to make use of this style.
  KeywordSet6 | A keyword defined in keyword set number 6. The class must be sub-classed and re-implement keywords() to make use of this style.
  KeywordSet7 | A keyword defined in keyword set number 7. The class must be sub-classed and re-implement keywords() to make use of this style.
  KeywordSet8 | A keyword defined in keyword set number 8. The class must be sub-classed and re-implement keywords() to make use of this style.

## Constructor & Destructor Documentation

QextScintillaLexerSQL::QextScintillaLexerSQL | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerSQL with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerSQL::~QextScintillaLexerSQL | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerSQL instance.

## Member Function Documentation

const char* QextScintillaLexerSQL::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QextScintillaLexer.

const char* QextScintillaLexerSQL::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QextScintillaLexer.

TQColor QextScintillaLexerSQL::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerSQL::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QextScintillaLexer.

TQFont QextScintillaLexerSQL::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QextScintillaLexer.

const char* QextScintillaLexerSQL::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QextScintillaLexer.

TQString QextScintillaLexerSQL::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements QextScintillaLexer.

TQColor QextScintillaLexerSQL::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from QextScintillaLexer.

void QextScintillaLexerSQL::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerSQL::foldComments | ( |  | ) | const

Returns TRUE if multi-line comment blocks can be folded.

See also:
  setFoldComments()

bool QextScintillaLexerSQL::foldCompact | ( |  | ) | const

Returns TRUE if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

bool QextScintillaLexerSQL::backslashEscapes | ( |  | ) | const

Returns TRUE if backslash escapes are enabled.

See also:
  setBackslashEscapes()

virtual void QextScintillaLexerSQL::setFoldComments | ( | bool | fold | ) | `[virtual, slot]`

If fold is TRUE then multi-line comment blocks can be folded. The default is FALSE.

See also:
  foldComments()

virtual void QextScintillaLexerSQL::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is TRUE then trailing blank lines are included in a fold block. The default is TRUE.

See also:
  foldCompact()

virtual void QextScintillaLexerSQL::setBackslashEscapes | ( | bool | enable | ) | `[virtual, slot]`

If enable is TRUE then backslash escapes are enabled. The default is FALSE.

See also:
  backslashEscapes()

bool QextScintillaLexerSQL::readProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerSQL::writeProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

Reimplemented from QextScintillaLexer.